#ifndef GLX_EXAMPLE_H_
#define GLX_EXAMPLE_H_

/* you may define DISABLE_XRANDR or DISABLE_XF86VM before including ex.h */

#ifndef DISABLE_XRANDR
#define USE_XRANDR
#endif

#ifndef DISABLE_XF86VM
#define USE_XF86VM
#endif

int create_gfx(int xsz, int ysz, int fullscreen);
void destroy_gfx(void);
void swap_buffers(void);
void set_window_title(const char *title);
void wait_event(void);
int process_events(void);
void post_redisplay(void);

void reshape_func(void (*reshape)(int, int));
void display_func(void (*disp)(void));
void keyboard_func(void (*keyb)(unsigned int, int));
void mouse_func(void (*mouse)(int, int, int, int));
void motion_func(void (*motion)(int, int));

#endif	/* GLX_EXAMPLE_H_ */
